{
    "name": "node-ejs",
    "main": "src/server.js",
    "dependencies": {
        "better-sqlite3": "^8.3.0",
        "cookie-parser": "^1.4.6",
        "cors": "^2.8.5",
        "ejs": "^3.1.9",
        "express": "^4.18.2",
        "express-fileupload": "^1.4.0",
        "hybrid-crypto-js": "^0.2.4",
        "jsonschema": "^1.4.1",
        "socket.io": "^4.6.1",
        "tesseract.js": "^4.0.3",
        "ts-node": "^10.9.1",
        "typescript": "^5.0.4",
        "uuid": "^9.0.0",
        "@types/express": "^4.17.17",
        "@types/better-sqlite3": "^7.6.4",
        "@types/cookie-parser": "^1.4.3",
        "@types/express-fileupload": "^1.4.1",
        "@types/jest": "^29.5.0",
        "@types/node": "^18.15.11",
        "@types/uuid": "^9.0.1"
    },
    "scripts": {
        "start": "node ./dist/server.js",
        "dev": "npm run build && NS_NO_HTTPS_FORCE=1 NS_THREAD_COUNT=2 NS_NOUSER=1 node --inspect ./dist/server.js",
        "build": "tsc",
        "export": "tsc",
        "test": "NS_NOLOG=1 NS_THREAD_COUNT=1 jest",
        "test-debug": "NS_NOLOG=1 NS_THREAD_COUNT=1 node --inspect node_modules/.bin/jest --watch --runInBand src/tests/*.test.ts"
    },
    "devDependencies": {
        "@typescript-eslint/eslint-plugin": "^5.57.1",
        "@typescript-eslint/parser": "^5.57.1",
        "eslint": "^8.38.0",
        "jest": "^29.5.0",
        "ts-jest": "^29.1.0"
    },
    "jest": {
        "preset": "ts-jest"
    }
}
